YITH WooCommerce Ajax Search

Descripción

Mejora la experiencia de usuario, mejora tus ventas

YITH WooCommerce Ajax Search es un plugin muy fácil de usar para WooCommerce. Sólo necesitas instalarlo y ya está listo para funcionar.

Crea un simple recuadro de búsqueda que te muestra resultados instantáneos, sugiriéndote productos de tu tienda WooCommerce que coinciden con tus criterios de búsqueda.

Es muy útil ayudar a tus usuarios cuando están intentando buscar algún producto en tu web. Pueden introducir alguna palabra clave para el producto WooCommerce que están buscando y YITH WooCommerce Ajax Search les evitará la molestia de mirar todas las categorías WooCommerce una a la vez.

¿Alguna vez olvidas el nombre de un producto WooCommerce? Simplemente empieza a escribir tu palabra clave. Una lista de útiles sugerencias se te mostrarán, y cuanto más escribas, más precisos serán los resultados. En ese punto, sólo tendrás lo que necesitas.

Funciona como Google Suggest, pero esta herramienta estará disponible en tu sitio WooCommerce y usará tu base de datos.

Características de YITH WooCommerce Ajax Search:

  • Widget y shortcodes a mostrar en tu formulario de búsqueda en donde sea que quieras en tu sitio WooCommerce.
  • Opciones para la personalización de tu formulario de búsqueda WooCommerce:
    • Personalizar etiqueta de input WooCommerce
    • Personalizar el envío de búsqueda WooCommerce
  • Opciones para mostrar los resultados de búsqueda WooCommerce.
    • Establece el número mínimo de caracteres para la búsqueda WooCommerce
    • Establece un número máximo de resultados WooCommerce

Si quieres mejorar tu YITH WooCommerce Ajax Search, también puedes visitar la página de YIThemes y explorar la demo en vivo de la versión premium, la cual incluye las siguientes características para mejorar al máximo tu sitio de WooCommerce.

Características premium de YITH WooCommerce Ajax Search:

  • Todas las características de la versión free de YITH WooCommerce Ajax Search
  • Mostrar el filtro para los campos de búsqueda WooCommerce
  • Mostrar lista de categorías WooCommerce (categorías principales/todas las categorías)
  • Extender la búsqueda a la excerpta del producto WooCommerce
  • Extender la búsqueda al contenido del producto WooCommerce
  • Extender la búsqueda a las categorías del producto WooCommerce
  • Extender la búsqueda a las etiquetas del producto WooCommerce
  • Extender la búsqueda también al SKU del producto WooCommerce
  • Extender la búsqueda SKU incluyendo productos WooCommerce variables
  • Mostrar miniaturas WooCommerce en la lista de sugerencias de búsqueda
  • Mostrar precio del producto WooCommerce en la lista de sugerencias de búsqueda
  • Mostrar insignia de rebaja WooCommerce (opciones de personalización también disponibles)
  • Mostrar insignia de destacado WooCommerce (opciones de personalización también disponibles)
  • Mostrar excerpta de producto WooCommerce (establece el texto a mostrar como excerpta del producto WooCommerce)
  • Personaliza la imagen .gif de cargador de búsqueda WooCommerce

Para una lista de opciones y características más detallada de YITH WooCommerce Ajax Search, por favor, lee la documentación oficial.

YITH WooCommerce Ajax Search está disponible en combinación con muchos otros plugins en YITH Essential Kit for WooCommerce #1, un lote de herramientas indispensables para hacer que tu sitio WooCommerce parezca más profesional y más usable. ¡Aprende más acerca de de los plugins incluidos y levanta tu sitio con un simple click!

Compatibilidad con plugins WooCommerce

YITH WooCommerce Ajax Search ha sido probado y sabemos que es compatible con los siguientes plugins de WooCommerce que puedes añadir a tu sitio:

Sin embargo, podría ser compatible con muchos otros plugins de WooCommerce que no han sido probados aún. Si quieres informarnos acerca de compatibilidad con otros plugins,por favor, envianos un correo electrónico.

Sugerencias

Si tienes alguna sugerencia de mejora para YITH WooCommerce Ajax Search, puedes escribirnos, y contribuir a hacer que YITH WooCommerce Ajax Search rinda más y más.

Traductores

Idiomas Disponibles

  • Inglés (por defecto)
  • Italiano

Si has creado tu propio paquete de idioma para YITH WooCommerce Ajax Search o tienes una actualización para alguno ya existente, puedes enviarlo gettext PO and MO file
a nosotros y podremos añadirlo a YITH WooCommerce Ajax Search.

Capturas

  • Página de ajustes de YITH WooCommerce Ajax Search
  • YITH WooCommerce Ajax Search en funcionamiento mostranto resultados de búsqueda WooCommerce

Instalación

Importante: Antes de todo, tienes que descargar y activar el plugin WooCommerce, porque sin él YITH WooCommerce Ajax Search no funciona.

  1. Descomprime el archivo comprimido descargado.
  2. Carga la carpeta de YITH WooCommerce Ajax Search en el directorio wp-content/plugins/ de tu sitio WordPress .
  3. Activa YITH WooCommerce Ajax Search desde la página de Plugins.

Configuración

YITH WooCommerce Ajax Search añadirá una nueva pestaña llamada «Ajax Search» en el manú «YITH Plugins». Ahí, podrás encontrar todos los plugins YIThemes y podrás acceder rápidamente a la página de ajustes.

FAQ

¿Es compatible con todos los temas de WordPress?

La compatibilidad con todos los temas es imposible, porque son demasiados, pero generalmente si los temas están desarrollados de acuerdo a las líneas generales de desarrollo WordPress y WooCommerce, los plugins YITH son compatibles con ellos.
Aún así, podemos garantizar la compatibilidad con los temas desarrollados por YIThemes, porque son constantemente actualizados y probados con nuestros plugins. A veces, especialmente cuando salen nuevas versiones, podría requerir algo de tiempo actualizarlos todos, pero puedes estar seguro de que todos serán probados y estarán funcionando en unos días.

¿Cómo puedo obtener soporte si mi plugin WooCommcerce no funciona?

Si tienes problemas con nuestros plugins, o algo no funciona como debería, primero prueba estos pasos preliminares:

  • Prueba el plugin con un tema por defecto de WordPress, para asegurarte de que el error no está causado por el tema que estás usando.
  • Desactiva todos los plugins que estás usando y comprueba si el problema sigue ocurriendo.
  • Asegúrate de que tu versión del plugin, tu versión del tema, y tu versión de WordPress y WooCommerce (si se requieren) están actualizadas y de que el problema que estás experimentando no ha sido ya arreglado en una actualización posterior del plugin

Si ninguna de las acciones listadas te ayuda a resolver el problema, entonces, envía un ticket al foro y describe tu problema detalladamente, especifica las versiones de WordPress y WooCommerce que estás usando y cualquier otra información que pudiera ayudarnos a resolver tu problema tan pronto como sea posible. ¡Gracias!

¿Cómo puedo obtener más características para mi plugin WooCommerce?

Puedes obtener más características con la versión premium de YITH WooCommerce Ajax Search, disponible en la página de YIThemes. ¡Aquí podrás leer más sobre las características premium del plugin y hacerlo dar lo mejor de sí!

¿Cómo puedo probar el plugin con todas sus características?

Si quieres ver una demostración de la versión premium del plugin, puedes verla en esta página.Examínalo y prueba todas las opciones disponibles para que puedas comprobar cómo se ve tu plugin.

¿Cuáles son los principales cambios en la traducción del plugin?

Recientemente, YITH WooCommerce Ajax Search ha sido seleccionado para incluirse en el programa de traducción «translate.wordpress.org».
Para importar correctamente las cadenas en el nuevo sistema, hemos tenido que cambiar el formulario de text domain de ‘yit’ a ‘yith-woocommerce-ajax-search’.
Una vez que el plugin se ha importado al sistema de translate.wordpress.org, las traducciones de otros idiomas se descargarán directamente desde WordPress, sin usar ningún archivo .po y .mo. Además, los usuarios podrán participar de forma más directa en las traducciones de plugins, sugiriendo textos en sus idiomas en la pestaña dedicada en translate.wordpress.org.
Durante este paso de transición, los archivos, .po y .mo se usarán como siempre, pero para ser reconocidos por WordPress, tienen que tener una nomenclatura, renombrándolos como:

  • yith-woocommerce-ajax-search-[WORDPRESS LOCALE].po
  • yith-woocommerce-ajax-search-[WORDPRESS LOCALE].mo

Reseñas

16 de julio de 2019
i use this plugin since one year and it's really work. we can customize and manage option of the plugin to do what we want i use the premium version
2 de julio de 2019
Unfortunately the search bar cannot search through custom fields like the ACF fields. Even the pro version can't. Dissapointing because there are free plugins that can.
4 de junio de 2019
Fatal Error to website. This plugin update disabled my WordPress Dashboard. Fatal Error Logs were recorded in WooCommerce and sent to Yith, but they will not support the free version of this plugin that is bundled with Yith Essential Kit for WooCommerce.
4 de febrero de 2019
Hi, I got this plugin but something I did caused database issues. Even though I deleted the plugin, the database issues persist. I need to know how to delete all traces of this plugin, and what and where I should delete everything. Thanks, Sean
Leer todas las 44 reseñas

Colaboradores y desarrolladores

«YITH WooCommerce Ajax Search» es un software de código abierto. Las siguientes personas han colaborado con este plugin.

Colaboradores

«YITH WooCommerce Ajax Search» ha sido traducido a 4 idiomas locales. Gracias a los traductores por sus contribuciones.

Traduce «YITH WooCommerce Ajax Search» a tu idioma.

¿Interesado en el desarrollo?

Revisa el código , echa un vistazo al repositorio SVN o suscríbete al registro de desarrollo por RSS.

Registro de cambios

1.7.3 – Released on 29 November 2019

  • Update: Plugin framework

1.7.2 – Released on 7 November 2019

  • Update: Plugin framework

1.7.1 – Released on 30 October 2019

  • Update: Plugin framework

1.7.0 – Released on 28 October 2019

  • New: Support for WordPress 5.3
  • New: Support for WooCommerce 3.8
  • Update: Plugin framework

1.6.9 – Released on 25 July 2019

  • New: Support for WooCommerce 3.7.0
  • Update: Plugin framework

1.6.8 – Released on 12 June 2019

  • Update: Plugin framework

1.6.7 – Released on 29 May 2019

  • Update: Plugin framework

1.6.6 – Released on 29 May 2019

  • Update: Plugin framework

1.6.5 – Released on 23 April 2019

  • Update: Plugin framework

1.6.4 – Released on 09 April 2019

  • New: Support for WooCommerce 3.6.0 RC1
  • Update: Plugin framework
  • Fix: Localization strings

1.6.3 – Released on 28 January 2019

  • Update: Plugin framework

1.6.2 – Released on 05 December 2018

  • New: Support for WordPress 5.0
  • Update: Language files
  • Update: Plugin framework

1.6.1 – Released on 23 Oct 2018

  • Update: Plugin framework

1.6.0 – Released on 18 Oct 2018

  • New: Support for WooCommerce 3.5.0
  • Update: Plugin framework

1.5.9 – Released on 26 September 2018

  • Update: Plugin framework

1.5.8 – Released on 28 June 2018

  • Update: Plugin framework
  • Corrección: Corregida compatibilidad de carga de clase

1.5.7 – Released on 28 June 2018

  • Corrección: Corregida compatibilidad de carga de clase
  • Update: Plugin framework

1.5.6 – Released on 17 May 2018

  • Nuevo: Compatible con WordPress 4.9.6
  • New: Support for WooCommerce 3.4.0
  • Update: Plugin framework

1.5.5 – Released on 31 January 2018

  • New: Support for WooCommerce 3.3
  • Actualización: Plugin Core 3.0.11

1.5.4 – Released on 06 Nov 2017

  • Actualización: Core del plugin

1.5.3 – Released on 25 May 2017

  • Fix: Plugin Core integration
  • Actualización: Core del plugin

1.5.2 – Released on 31 March 2017

  • Fix: Query for visible product
  • Actualización: Core del plugin

1.5.1 – Released on 28 March 2017

  • Nuevo: Compatible con WooCommerce 3.0 RC 2
  • Actualización: Core del plugin

1.5.0 – Released on 06 March 2017

  • Nuevo: Compatible con WooCommerce 2.7 RC 1
  • Actualización: Core del plugin
  • Update: Languages files

1.4.1 – Released on 17 Oct 2016

  • New: Option to save the autocomplete results in a transient
  • Update: Plugin Framework

1.4.0 – Released on 10 June 2016

  • New: Support for WooCommerce 2.6 RC1
  • Update: Plugin framework

1.3.9 – Released on 15 December 2015

  • New: Support for WordPress 4.4
  • Update: Plugin framework

1.3.8 – Released on 30 October 2015

  • New: Add Plugin-Fw support for Essential Kit #1

1.3.7 – Released on 18 September 2015

  • Update: Changed Text Domain from ‘yit’ to ‘yith-woocommerce-ajax-search’
  • Update: Plugin framework

1.3.6 – Released on 12 August 2015

  • Nuevo: Compatible con WooCommerce 2.4.2
  • Update: Plugin framework

1.3.5 – Released on 07 August 2015

  • New: Support more search elements on a page

1.3.4 – Released on 17 July 2015

  • Fix: Support for WPML

1.3.3 – Released on 07 July 2015

  • Fix: Called to WP_Widget construct
  • Fix: Support for WPML

1.3.2 – Released on 15 June 2015

  • Fix: Backward compatibility with Autocomplete function

1.3.1 – Released on 10 June 2015

  • Update: Renamed Autocomplete function with YithAutocomplete

1.3.0 – Released on 24 April 2015

  • New: WordPress 4.2 compatibility
  • Fix: Shorcode output
  • Fix: Wp security issue

1.2.7 – Released on 07 April 2015

  • Update: Plugin framework

1.2.6 – Released on 30 March 2015

  • Update: Plugin framework
  • Fix: Loader image not hided after search
  • Fix: Disabled submit when search string is empty
  • Fix: Support for WPML in query string

1.2.5 – Released on 12 March 2015

  • Fix: Plugin installation bug

1.2.4 – Released on 04 March 2015

  • Fix: Minor bugs

1.2.3 – Released on 02 March 2015

  • New: Support for WordPress 4.1.1
  • Fix: Minor bugs

1.2.2 – Released on 12 February 2015

  • New: Support for WooCommerce 2.3
  • Fix: Minor bugs

1.2.1 – Released on 06 February 2015

  • Update: Plugin framework

1.2.0 – Released on 29 January 2015

  • Update: Plugin framework

1.1.3 – Released on 16 October 2014

  • Fix: Javascript code in external file

1.1.2 – Released on 14 September 2014

  • Fix: Prevent undefined title index if the widget is called by the the_widget func
  • Update: Autocomplete js library
  • Update: Plugin framework

1.1.1 – Released on 14 February 2014

  • Fix: Settings link doesn’t work on WooCommerce 2.1.1

1.1.0 – Released on 12 February 2013

  • Nuevo: Compatible con WooCommerce 2.1.x

1.0.0 – Released on 1 August 2013

  • Version inicial